%define upstream_name    Tk-Role-HasWidgets
%define upstream_version 1.112380

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Keep track of your tk widgets
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tk/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
When programming the Tk manpage, it's almost always a good idea to keep a
reference to the widgets that you created in the interface. Most of the
time, a simple hash is enough; but it is usually wrapped up in methods to
make the hash private to the window object. And of course, those methods
are duplicated in all modules, under a form or another.

Since duplication is bad, this module implements a the Moose manpage role
implementing those methods once and forever. This implies that your class
is using the Moose manpage in order to consume the role.

About the method names
    The methods featured in this role begin with '_', that is, they are
    following Perl convention of private methods. This is on purpose:
    remember that this method is a role, consumed by your class. And you
    don't want those methods to be available outside of the window class,
    do you?

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.112.380-9.mga8
+ Revision: 1497897
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.112.380-8.mga7
+ Revision: 1272391
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.112.380-7.mga6
+ Revision: 1035409
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.112.380-6.mga6
+ Revision: 946251
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.112.380-5.mga5
+ Revision: 743489
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.112.380-4.mga5
+ Revision: 686730
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.112.380-3.mga4
+ Revision: 515739
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.112.380-2.mga3
+ Revision: 374470
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 26 2011 jquelin <jquelin> 1.112.380-1.mga2
+ Revision: 135523
- update to 1.112380
- update to 1.112070

* Fri Apr 15 2011 jquelin <jquelin> 1.111.50-1.mga1
+ Revision: 85720
- imported package perl-Tk-Role-HasWidgets


* Fri Apr 15 2011 cpan2dist 1.111050-1mga
- initial mageia release, generated with cpan2dist
